BLOCKDEV(8)

NAME
blockdev - call block device ioctls from the command line

SYNOPSIS
blockdev [options] commands devices

DESCRIPTION
The utility blockdev allows one to call block device ioctls from the command line.

OPTIONS

-V  Print version and exit.

-q  Be quiet.

-v  Be verbose.

COMMANDS

--setro
    Set read-only.

--setrw
    Set read-write.

--getro
    Get read-only. Print 1 if the device is read-only, 0 otherwise.

--getss
    Print sectorsize in bytes - usually 512.

--getsize
    Print device capacity (in 512-byte sectors).

--setra N
    Set readahead to N 512-byte sectors.

--getra
    Print readahead (in 512-byte sectors).

--flushbufs
    Flush buffers.

--rereadpt
    Reread partition table.